org.apache.ignite.ml.preprocessing.encoding.target

## Class TargetCounter

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.encoding.target.TargetCounter

-     public class TargetCounter
      extends Object

  Counter for encode category.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetCounter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Long>` | `getCategoryCounts()`
    `Map<String,Double>` | `getCategoryTargetSum()`
    `Long` | `getTargetCount()`
    `Double` | `getTargetSum()`
    `void` | `setCategoryCounts(Map<String,Long> categoryCounts)`
    `void` | `setCategoryTargetSum(Map<String,Double> categoryTargetSum)`
    `void` | `setTargetCount(Long targetCount)`
    `void` | `setTargetSum(Double targetSum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetCounter

          public TargetCounter()

  - ### Method Detail

    - #### getTargetSum

          public Double getTargetSum()

    - #### setTargetSum

          public void setTargetSum(Double targetSum)

    - #### getTargetCount

          public Long getTargetCount()

    - #### setTargetCount

          public void setTargetCount(Long targetCount)

    - #### getCategoryCounts

          public Map<String,Long> getCategoryCounts()

    - #### setCategoryCounts

          public void setCategoryCounts(Map<String,Long> categoryCounts)

    - #### getCategoryTargetSum

          public Map<String,Double> getCategoryTargetSum()

    - #### setCategoryTargetSum

          public void setCategoryTargetSum(Map<String,Double> categoryTargetSum)

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023